package hw.tagApi.service.mapper;

import java.util.List;
import hw.tagApi.service.domain.HwTagRecord;

/**
 * 标签记录Mapper接口
 * 
 * @author Yinq
 * @date 2025-04-15
 */
public interface HwTagRecordMapper 
{
    /**
     * 查询标签记录
     * 
     * @param rId 标签记录主键
     * @return 标签记录
     */
    public HwTagRecord selectHwTagRecordByRId(Long rId);

    /**
     * 查询标签记录列表
     * 
     * @param hwTagRecord 标签记录
     * @return 标签记录集合
     */
    public List<HwTagRecord> selectHwTagRecordList(HwTagRecord hwTagRecord);

    /**
     * 新增标签记录
     * 
     * @param hwTagRecord 标签记录
     * @return 结果
     */
    public int insertHwTagRecord(HwTagRecord hwTagRecord);

    /**
     * 批量新增标签记录
     * 
     * @param hwTagRecordList 标签记录列表
     * @return 结果
     */
    public int batchInsertHwTagRecord(List<HwTagRecord> hwTagRecordList);

    /**
     * 修改标签记录
     * 
     * @param hwTagRecord 标签记录
     * @return 结果
     */
    public int updateHwTagRecord(HwTagRecord hwTagRecord);

    /**
     * 删除标签记录
     * 
     * @param rId 标签记录主键
     * @return 结果
     */
    public int deleteHwTagRecordByRId(Long rId);

    /**
     * 批量删除标签记录
     * 
     * @param rIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHwTagRecordByRIds(Long[] rIds);

    /**
     * 根据TID修改标签记录
     *
     * @param record 标签记录
     * @return 结果
     */
    public int  updateHwTagRecordByTID(HwTagRecord record);

    /**
     * 根据TID查询标签记录
     *
     * @param tId TID
     */
    public HwTagRecord selectHwTagRecordByTxId(String tId);

}
